import request from '@/utils/request'

// 列表
export function list(query) {
  return request({
    url: '/system/business/gyzj/list',
    method: 'get',
    params: query
  })
}
// 列表
export function studyList(query) {
  return request({
    url: '/system/business/gyzj/studyList',
    method: 'get',
    params: query
  })
}
//导出
export function exportDetail(query) {
  return request({
    url: '/system/business/gyzj/exportDetail',
    method: 'get',
    params: query
  })
}
// 稽查轨迹列表
export function jcgjList(query) {
  return request({
    url: '/system/business/gyzj/jcgjList',
    method: 'get',
    params: query
  })
}
// 详情
export function info(query) {
  return request({
    url: '/system/business/gyzj/info',
    method: 'get',
    params: query
  })
}
//确认归还
export function gh(data) {
  return request({
    url: '/system/business/gyzj/gh',
    method: 'post',
    data: data
  })
}
//申请归还
export function sqgh(data) {
  return request({
    url: '/system/business/gyzj/sqgh',
    method: 'post',
    data: data
  })
}
//确认入库
export function rk(data) {
  return request({
    url: '/system/business/gyzj/rk',
    method: 'post',
    data: data
  })
}
//申请入库
export function sqrk(data) {
  return request({
    url: '/system/business/gyzj/sqrk',
    method: 'post',
    data: data
  })
}
// 编辑
export function bj(data) {
  return request({
    url: '/system/business/gyzj/bj',
    method: 'post',
    data: data
  })
}


// 审核编辑
export function shbj(data) {
  return request({
    url: '/system/business/gyzj/shbj',
    method: 'post',
    data: data
  })
}

// 修改库存
export function xgkc(data) {
  return request({
    url: '/system/business/gyzj/xgkc',
    method: 'post',
    data: data
  })
}


// 审核修改库存
export function shxgkc(data) {
  return request({
    url: '/system/business/gyzj/shxgkc',
    method: 'post',
    data: data
  })
}

// 解锁
export function js(data) {
  return request({
    url: '/system/business/gyzj/js',
    method: 'post',
    data: data
  })
}


// 锁定
export function sd(data) {
  return request({
    url: '/system/business/gyzj/sd',
    method: 'post',
    data: data
  })
}


//批量锁定
export function plsd(data) {
  return request({
    url: '/system/business/gyzj/plsd',
    method: 'post',
    data: data
  })
}

//处置容器
export function czrq(data) {
  return request({
    url: '/system/business/gyzj/czrq',
    method: 'post',
    data: data
  })
}

//批量处置容器
export function plczrq(data) {
  return request({
    url: '/system/business/gyzj/plczrq',
    method: 'post',
    data: data
  })
}


//处置药剂
export function czyj(data) {
  return request({
    url: '/system/business/gyzj/czyj',
    method: 'post',
    data: data
  })
}

//批量处置药剂
export function plczyj(data) {
  return request({
    url: '/system/business/gyzj/plczyj',
    method: 'post',
    data: data
  })
}

//归档
export function gd(data) {
  return request({
    url: '/system/business/gyzj/gd',
    method: 'post',
    data: data
  })
}

//批量归档
export function plgd(data) {
  return request({
    url: '/system/business/gyzj/plgd',
    method: 'post',
    data: data
  })
}
//发放
export function ff(data) {
  return request({
    url: '/system/business/gyzj/ff',
    method: 'post',
    data: data
  })
}
//批量发放
export function plff(data) {
  return request({
    url: '/system/business/gyzj/plff',
    method: 'post',
    data: data
  })
}

//钥匙发放
export function ysff(data) {
  return request({
    url: '/system/business/gyzj/ysff',
    method: 'post',
    data: data
  })
}



//台账列表
export function tzList(query) {
  return request({
    url: '/system/business/gyzj/tzList',
    method: 'get',
    params: query
  })
}

//解档
export function jd(data) {
  return request({
    url: '/system/business/gyzj/jd',
    method: 'post',
    data: data
  })
}

//存储
export function cc(data) {
  return request({
    url: '/system/business/gyzj/cc',
    method: 'post',
    data: data
  })
}

//取出
export function qc(data) {
  return request({
    url: '/system/business/gyzj/qc',
    method: 'post',
    data: data
  })
}